You are here

Loading .ATN files tp Gimp 2.6.11

Hi,
I hope you are all doing well today.
I would like to know if there has been a way found to load .ATN files (Photoshop Scripts) to Gimp 2.6.11. Maybe a plugin has been developed that will enable Gimp users to load the .ATN files. or add them to a specific Gimp folder. Can you help?

Thank You,
Tony S :-)

Forums: 

There is a GIMP# (GIMP Sharp) project that toutes some ability to run PS Actions, but I haven't played with it. Needs .NET (dot NET) installed too (believe in Linux, it's the Mono project that allows .NET compatibility). Link to GIMP# project below. :)

http://gimp-sharp.sourceforge.net/

You can also contact prokoudine at his email link on the above website. If anyone can help you, it would be him.

Thank You Mahvin I will try to contact him.

You place the ATN files in your Scripts folder in your user docs, not in it's own folder.I was thinking of the Photo Shop Plug-ins manager script.

Hope that didn't confuse you.

Here is a re-cap
If you download the 2.4 version you must do what i did.
1) download Gimp# 2.4, and mono latest version - you will also need Microsoft Dot Net framework.
if you have Paint Dot Net installed you already have framework installed.
2) rename GIMP#-2.4 to an .exe file as it downloads as a .e.x.e file
3) install mono
4) Now - rename your gimp-2.6 exe file 2.4 in your gimp-2.0 program directory (bin folder), and run the GIMP# - 2.4 exe setup file.
If you didn't name your gimp-2.6 exe to gimp-2.4 GIMP# won't be able to install.
After install rename the gimp-2.4.exe file back to Gimp-2.6 BEFORE restarting gimp.
Restart Gimp you will find all the files in your menus with small icons next to them.
To get the ATN files to run you need to place ATN files in
C:\documents and settings\UserName\.gimp-2.6\Scripts folder.
I can not get most of ATN files to run, as you need the support of the new source files (which need to be compiled).
And i am sorry but without Gimps header and libgimp files you can not compile a gimp plugin in windows.

Good luck with the 2.4 version - btw maybe you can ask to get a binary cross compiled for the latest version?
If you do please post back here with a link.The Gimp Sharp plug-ins other than Actions work excellent btw. :)
Need further help PM me

Note:The ATN files have to go in the Scripts folder in the users documents gimp-2.6\Scripts folder.

I still can get only about 4 to run though, and they run pretty shabby.However the other Plug-ins work excellent.

download it here Gimp Sharp-0.13
http://sourceforge.net/projects/gimp-sharp/files/gimp-sharp-win/0.13/gim...
Just download and install. :)

Gimp-Sharp 0.13 is an older version - for Gimp 2.4.
Simpler installation - but may be problem with the newer version of Gimp.

Hi MareroQ,
Thanks for your information. Are you saying that GIMP Sharp-0.13 is not compatible with GIMP 2.6 or later. If so can you tell me if you know of any way to get around it so that I will be able to use .ATN files with GIMP 2.6.11?

Tony S

There are several versions of Gimp-Sharp
http://sourceforge.net/projects/gimp-sharp/files/
Everything depends on the system, and Gimp.
For me, 0.13 (XP and Gimp 2.6.11 or 2.7.1) did not want to work.
Gimp-Sharp 0.15 by the provision Wacmaster "Yes GIMP sharp" - has worked.
In each may be different - but better to try the latest.
(in case of trouble is always worthwhile to have a backup)

Thank you very much. The latest version seems to be GIMP Sharp 0.17. Can you tell me where I can find info on the install process?

That is correct i was wrong, 0.13 is the older version you will have to use the 2.4 version after all.
The 0.17 version i believe has to be compiled to use it.Windows has a huge problem compiling Gimp plug-ins.
If you want to try i suggest looking into Msys and MinGW then install all the latest Gimp dependencies in binary format.
Then you still may have a problem compiling.I suggest asking for a cross compiled version at their website.
Also be sure and place the ATN files in the scripts folder. (another correction)

Thanks MareroQ for clearing that mistake up.

Hi wacmaster,
The process that you describe sounds complicated. I was wondering if there is a place for me to get instructions on how to proceed step by step? Or are the steps given in earlier replies enough to get the project completed? :-)

Okay i got it to work by placing the ATN files in the C:\documents and settings\UserName\.gimp-2.6\scripts folder.
Where UserName is the name of your user folder.
Restart Gimp after you add any ATN files.
Anytime you add a new ATN file open Gimp to see if it works.If it doesn't then remove it from the scripts folder.
Example Image can be found here
http://img195.imageshack.us/img195/1052/196psacts2.png

That is great news wacmaster, now I am really confused. So would you mind explaining to me from start to finish what I need to do to get the ATN files to work with GIMP 2.6.11.? for instance do I need to be using a different version of Gimp to get the results that you have? Just what do I have to do to get the widow and image that you show at the link you displayed. I would really appreciate if you could show me how. :-)

From install to adding ATN files -

1) download this file - http://sourceforge.net/projects/gimp-sharp/files/gimp-sharp-gimp_2_4-win...

2) right click the file you just downloaded and select rename - rename the file gimp-sharp_setup_0_15_gimp_2.4.exe
It will now look like an ordinary windows setup file.

3) go into your gimp-2.0 program directory and rename the gimp-2.6 exe file to gimp-2.4 you will find it in
C:\Program Files\Gimp-2.0\bin folder (it looks like a wilbur icon) - their are two one is named gimp console.
Leave that one alone.

4) If you have Paint Dot Net installed you do not have to worry about this next step.
Install Paint Dot Net - it installs other files you need, mainly Microsoft DotNet Frameworks.

5) Install Mono - latest version http://ftp.novell.com/pub/mono/archive/2.10/windows-installer/5/mono-2.1...

6) install the gimp-sharp_setup_0_15_gimp_2.4.exe you downloaded first.

7) IMPORTANT! - rename gimp-2.4.exe back to gimp-2.6.exe or gimp will not run from your shortcut!

8) Select the ATN files you want to use in Gimp and place them in your
C:\documents and settings\UserName\.gimp-2.6\Scripts folder
I would only use 2-3 at a time and see which ones work.

If all is installed properly, you will find about 13 new filters in your Gimp program.
You will find Photoshop Actions in the Filters menu
You will know which ones have been installed by seeing a small image icon next to each installed filter.They are scattered around so look for them in all your menus.
Some are in Filters/Web
Some are in Filters
Some are in Artistic
Just search for the small image icon, they are easy to spot.

Hope that helps you get it going.
If you need more assistance PM me at Gimpchat.com

Regards,
Rod

wacmastert, thank you so much for your patience. I think I jumped the gun and posted the same question in GIMPchat. I hope that I am not driving people crazy. I may have asked the same question more than once, please accept my sincere apologies. I think that you have answered my main quetion to anyones satisfaction. :-) Again thank you so much.

your very welcome, and no apology is needed. :)
hope it works for you.

Hi wacmaster,
Dose this mean that all of the steps that you said I would need to do in your previous replies I will not need to do? All I will need to do with the GIMP Sharp-0.13 simply follow the .exe install steps to GIMP 2.6? If this is what you are saying then that is awesome news for me as I even though I was going to attempt the install of GIMP# I wasn't really looking forward to it. If you know what i mean.:-)
Thank you for looking out.

I was wondering if someone could make a tutorial video, because I tried doing this and it still didnt work.

Yes Gimp Sharp (GIMP#), is what you will need to play ATN files from Photo-Shop.
Unfortunately you also need to compile the latest version, as there is no binary for Windows that supports 2.6
If you download the 2.4 version you must do what i did.
1) download Gimp# 2.4, and mono latest version - you will also need Microsoft Dot Net framework.
if you have Paint Dot Net you already have framework installed.
2( rename GIMP#-2.4 to an .exe file as it downloads as a e.x.e file
3) install mono
4) )Now - rename your 2.6 exe file 2.4 in your gimp-2.0 program directory, and run the GIMP# - 2.4 exe setup file
If you didn't name your gimp-2.6 exe to gimp-2.4 GIMP# won't be able to install.
After install rename the gimp-2.4.exe file back to Gimp-2.6
Restart Gimp you will find all the files in your menus with small icons next to them.
To get the ATN files to run you need to place ATN files in your PhotoShop actions folder in your program files directory.
You can then move that folder to your user docs plug-ins folder.
I can not get most of ATN files to run, as you need the support of the new source files (which need to be compiled).
And i am sorry but without Gimps header and libgimp files you can not compile a gimp plugin in windows.

Good luck with the 2.4 version - btw maybe you can ask to get a binary cross compiled for the latest version?
If you do please post back here with a link.The Gimp Sharp plug-ins other than Actions work excellent btw. :)
Need further help PM me at http://www.gimpchat.com

Peace

wacmaster, thank you for the information it is a great help and very much appreciated. :)

compile version 0-17 for windows 32 bit tonight. If i get the plugins to work this time (last compile the plugins wouldn't work), i will post a link to the setup here. Actually it will be a folder zipped with complete instructions on where everything goes.

-Rod

It didn't worked ?
I believe was never distributed a windows binary of last version because some critical problem showing only on Windows.

But could be well something wrong with compiling

none of the dll files are created.Gimp # -0.17 will not compile.
HOWEVER Gimp # -0.15 works fine.
To get the ATN scripts to work you need to add them to your SCRIPTS folder.
NOT ALL PS ATN files will work.You have to try one see if it works if not toss it out.Try another.

-Rod

SOb sob.. :( my .ATn files (Photoshop Scripts) in my GIMP 2.6 didn't run, why? i dodn't know what it's problem, when I start click Photoshop in filter, something pop-out & said photoshop must shut down. huhu.. help me, help me..find the solution plz..

Subscribe to Comments for "Loading .ATN files tp Gimp 2.6.11"